For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
      • AstroFully-managed data operations, powered by Apache Airflow.
      • Astro Private CloudRun Airflow-as-a-service in your environment.
      • Professional ServicesExpert Airflow services for your enterprise's success.
    • Tools
      • Cosmos
      • Orbiter
      • CLI
      • AI SDK
      • Agents
      • Blueprint
      • UpdatesThe State of Airflow 2026See the insights from over 5,800 data practitioners in the full report. Download Now ➔
  • Customers
  • Docs
    • Insights
      • Blog
      • Webinars
      • Resource Library
      • Events
    • Education
      • Academy
      • What is Airflow?
  • Pricing
Get Started Free
  • Astro API v1
    • Overview
    • Get started
    • Versioning and support
    • Migrate to v1
    • Deploy with the API
  • API Reference
      • POSTCreate an allowed IP address range
      • DELDelete an allowed IP address range
      • GETList allowed IP address ranges
    • Changelog
    • Book Office Hours

Product

  • Platform Overview
  • Astro
  • Astro Observe
  • Astro Private Cloud
  • Security & Trust
  • Pricing

Tools & Services

  • Cosmos
  • Docs
  • Professional Services
  • Product Updates

Use Cases

  • AI Ops
  • Data Observability
  • ETL/ELT
  • ML Ops
  • Operational Analytics
  • All Use Cases

Industries

  • Financial Services
  • Gaming
  • Retail
  • Manufacturing
  • Healthcare
  • All Industries

Resources

  • Academy
  • eBooks & Guides
  • Blog
  • Webinars
  • Events
  • The Data Flowcast Podcast
  • All Resources

Airflow

  • What is Airflow
  • Airflow on Astro
  • Airflow 3.0
  • Airflow Upgrades
  • Airflow Use Cases
  • Airflow 2.x End of Life

Company

  • Our Story
  • Customers
  • Newsroom
  • Careers
  • Contact

Support

  • Knowledge Base
  • Status
  • Contact Support
GitHubYouTubeLinkedInx
  • Legal
  • Privacy
  • Terms of Service
  • Consent Preferences

  • Do Not Sell or Share My Personal information
  • Limit the Use Of My Sensitive Personal Information

Apache Airflow®, Airflow, and the Airflow logo are trademarks of the Apache Software Foundation. Copyright © Astronomer 2026. All rights reserved.

LogoLogo
API ReferenceAllowed IP Address Range

Create an allowed IP address range

POST
https://api.astronomer.io/v1/organizations/:organizationId/allowed-ip-address-ranges
POST
/v1/organizations/:organizationId/allowed-ip-address-ranges
$curl -X POST https://api.astronomer.io/v1/organizations/organizationId/allowed-ip-address-ranges \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "ipAddressRange": "1.1.1.1/32"
>}'
1{
2 "createdAt": "2022-11-22T04:37:12Z",
3 "id": "clm9sq6s0000008kz7uvl7yz7",
4 "ipAddressRange": "1.1.1.1/32",
5 "organizationId": "clyt27999000008me3yp39wcp",
6 "updatedAt": "2022-11-22T04:37:12Z",
7 "createdBy": {
8 "id": "clm8qv74h000008mlf08scq7k",
9 "apiTokenName": "my-token",
10 "avatarUrl": "https://avatar.url",
11 "fullName": "Jane Doe",
12 "subjectType": "USER",
13 "username": "user1@company.com"
14 },
15 "updatedBy": {
16 "id": "clm8qv74h000008mlf08scq7k",
17 "apiTokenName": "my-token",
18 "avatarUrl": "https://avatar.url",
19 "fullName": "Jane Doe",
20 "subjectType": "USER",
21 "username": "user1@company.com"
22 }
23}
Create an allowed IP address range that constrains which IP addresses can be used to interact with your Astro Organization using APIs.
Was this page helpful?
Previous

Delete an allowed IP address range

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

organizationIdstringRequired
The ID of the Organization where you want to create the allowed IP address range.

Request

The request body for creating an IP address range that allows access to the Astro API.
ipAddressRangestringRequired
The allowed IP address range in CIDR format.

Response

OK
createdAtstringformat: "date-time"

The time when the allowed IP address range was created in UTC, formatted as YYYY-MM-DDTHH:MM:SSZ.

idstring
The allowed IP address range's ID.
ipAddressRangestring
The allowed IP address range in CIDR format.
organizationIdstring
The allowed IP address range's Organization ID.
updatedAtstringformat: "date-time"

The time when the allowed IP address range was updated in UTC, formatted as YYYY-MM-DDTHH:MM:SSZ.

createdByobject
updatedByobject

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error